## enigma 1.20-dfsg.1

=== debian/changelog ===
enigma (1.20-dfsg.1-1) unstable; urgency=low

  * New upstream release (Closes: #704595)
    (Repacked: dropped zipios++ source and main menu music)
  * Update watch file, sf.net again.
  * Fix documentation links (Closes: #653508)
  * Conflict with enigma-level-previews to encourage deinstallation
    (Pregenerated level previews were only used with version 1.01)
  * Use dh7 for building instead of CDBS
  * Update to policy 3.9.4.0 (no changes)
  * Register documentation with doc-base

 -- Erich Schubert <erich@debian.org>  Sat, 06 Apr 2013 14:54:02 +0200

=== debian/control ===
Source: enigma
Section: games
Priority: extra
Maintainer: Erich Schubert <erich@debian.org>
Build-Depends: debhelper (>= 9), bzip2, autoconf, automake1.9, texinfo, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libzipios++-dev, libsdl-gfx1.2-dev, texi2html, libsdl-ttf2.0-dev, libxerces-c-dev, quilt, libcurl4-gnutls-dev | libcurl4-nss-dev, imagemagick, libpng-dev
Standards-Version: 3.9.4.0

Package: enigma
Architecture: any
Breaks: enigma-data (<< 1.10~~pre-alpha+r2210-1.1)
Replaces: enigma-data (<< 1.10~~pre-alpha+r2210-1.1)
Depends: ${shlibs:Depends}, ${misc:Depends}, enigma-data (= ${source:Version})
Recommends: enigma-doc
Description: Game where you control a marble with the mouse
 Enigma is a puzzle game similar to Oxyd on the Atari ST or Rock'n'Roll
 on the Amiga and good old Marble Madness. It also has Sokoban levels, and
 some interesting twists on the original sokoban concept.
 .
 In Enigma, your objective is to locate and uncover matching pairs of
 Oxyd stones. Simple as it sounds, this task is made more difficult by
 the fact that Oxyd stones tend to be hidden, inaccessible or protected
 by unexpected traps. Overcoming these obstacles often requires a lot
 of dexterity and wit (and can be quite addictive).
 .
 This package contains the game engine.
Homepage: http://enigma.nongnu.org/

Package: enigma-doc
Section: doc
Architecture: all
Recommends: enigma
Depends: ${misc:Depends}
Description: Documentation for the game enigma
 Enigma is a puzzle game similar to Oxyd on the Atari ST or Rock'n'Roll
 on the Amiga and good old Marble Madness. It also has Sokoban levels, and
 some interesting twists on the original sokoban concept.
 .
 In Enigma, your objective is to locate and uncover matching pairs of
 Oxyd stones. Simple as it sounds, this task is made more difficult by
 the fact that Oxyd stones tend to be hidden, inaccessible or protected
 by unexpected traps. Overcoming these obstacles often requires a lot
 of dexterity and wit (and can be quite addictive).
 .
 This package contains the manual and level creating guide
Homepage: http://enigma.nongnu.org/

Package: enigma-data
Architecture: all
Enhances: enigma
Depends: ttf-dejavu-core, ttf-dejavu-extra, ${misc:Depends}
Conflicts: enigma-level-previews
Description: Data files for the game enigma
 Enigma is a puzzle game similar to Oxyd on the Atari ST or Rock'n'Roll
 on the Amiga and good old Marble Madness. It also has Sokoban levels, and
 some interesting twists on the original sokoban concept.
 .
 In Enigma, your objective is to locate and uncover matching pairs of
 Oxyd stones. Simple as it sounds, this task is made more difficult by
 the fact that Oxyd stones tend to be hidden, inaccessible or protected
 by unexpected traps. Overcoming these obstacles often requires a lot
 of dexterity and wit (and can be quite addictive).
 .
 This package contains the data files (levels, graphics, sounds).
Homepage: http://enigma.nongnu.org/

=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(DEB_HOST_ARCH), alpha)
  CFLAGS += -O2 -mieee
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--datadir=\$${prefix}/share/games \
		--bindir=\$${prefix}/games \
		--docdir=\$${prefix}/share/doc/enigma-doc \
		--enable-optimize

override_dh_install:
	dh_install -Xvera_sans.ttf -X DejaVuSansCondensed.ttf

## enigma 1.30+dfsg

=== lib-src/tinygettext/CMakeLists.txt ===
# tinygettext - A gettext replacement that works directly on .po files
# Copyright (C) 2006 Christoph Sommer <christoph.sommer@2006.expires.deltadevelopment.de>
#
# This software is provided 'as-is', without any express or implied
# warranty. In no event will the authors be held liable for any damages
# arising from the use of this software.
#
# Permission is granted to anyone to use this software for any purpose,
# including commercial applications, and to alter it and redistribute it
# freely, subject to the following restrictions:
#
# 1. The origin of this software must not be misrepresented; you must not
#    claim that you wrote the original software. If you use this software
#    in a product, an acknowledgement in the product documentation would be
#    appreciated but is not required.
# 2. Altered source versions must be plainly marked as such, and must not be
#    misrepresented as being the original software.
# 3. This notice may not be removed or altered from any source distribution.

#
# INSTRUCTIONS:
# -------------
#
# Create a directory build/ and change to it. Run
#
#   cmake ..
#
# This creates a set of Makefiles to build the project. Run
#
#   make
#

cmake_policy(SET CMP0005 NEW)

## Project name to use as command prefix

project(tinygettext)
set(VERSION "0.1")

### CMake configuration

cmake_minimum_required(VERSION 2.4)
if(COMMAND cmake_policy)
	CMAKE_POLICY(SET CMP0003 NEW)
endif(COMMAND cmake_policy)
SET(CMAKE_MACOSX_RPATH ON)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${tinygettext_SOURCE_DIR} ${tinygettext_SOURCE_DIR}/CMake)

INCLUDE(CompilerFlags)

# move some config clutter to the advanced section
mark_as_advanced(
	CMAKE_BACKWARDS_COMPATIBILITY
	CMAKE_BUILD_TYPE
	CMAKE_INSTALL_PREFIX
	EXECUTABLE_OUTPUT_PATH
	CMAKE_OSX_ARCHITECTURES
	CMAKE_OSX_SYSROOT
)

## Reveal library type choice to users
option(BUILD_SHARED_LIBS "Produce dynamic library instead of static archive" OFF)

# TinyGetText library compilation

## build list of source files

file(GLOB TINYGETTEXT_SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} src/*.cpp)
file(GLOB TINYGETTEXT_HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} include/tinygettext/*.hpp)
list(SORT TINYGETTEXT_SOURCES)

## define a target for building the library

add_library(tinygettext ${TINYGETTEXT_SOURCES})

## Fix Windows exports

INCLUDE (GenerateExportHeader)
GENERATE_EXPORT_HEADER( tinygettext
             BASE_NAME tinygettext
             EXPORT_MACRO_NAME TINYGETTEXT_API
             EXPORT_FILE_NAME tinygettext_Export.h
             STATIC_DEFINE tinygettext_BUILT_AS_STATIC
)

## Add tinygettext dir to search path
target_include_directories(tinygettext PUBLIC include/ ${CMAKE_CURRENT_BINARY_DIR})


## SDL/iconv usage
option(HAVE_SDL "Use SDL_iconv instead of system iconv" FALSE)
if(HAVE_SDL)
set_directory_properties(PROPERTIES COMPILE_DEFINITIONS HAVE_SDL)
target_include_directories(tinygettext SYSTEM PUBLIC ${SDL2_INCLUDE_DIRS})
target_link_libraries(tinygettext PUBLIC ${SDL2_LIBRARIES})

else(HAVE_SDL)

## Add iconv to include directories
find_package(ICONV REQUIRED)
## Check iconv_const
include(CheckCXXSourceCompiles)
set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${ICONV_INCLUDE_DIR})
check_cxx_source_compiles(
	"
	#include <iconv.h>
	// this declaration will fail when there already exists a non const char** version which returns size_t
	double iconv(iconv_t cd,  char **inbuf, size_t *inbytesleft, char **outbuf, size_t *outbytesleft);
	int main() { return 0; }
	"
	HAVE_ICONV_CONST
)

# TODO: better way of config (until then...)
CHECK_CXX_FLAG(fpermissive)

if(HAVE_ICONV_CONST)
  add_definitions(-DHAVE_ICONV_CONST)
else(HAVE_ICONV_CONST)
  remove_definitions(-DHAVE_ICONV_CONST)
endif(HAVE_ICONV_CONST)

target_include_directories(tinygettext PUBLIC ${ICONV_INCLUDE_DIR})
target_link_libraries(tinygettext PUBLIC ${ICONV_LIBRARY})

endif(HAVE_SDL)

## Debug options

option(WERROR "Stops on first compiler warning in debug mode" OFF)
option(WARNINGS "Enable long list of warnings for compiler to check" ON)

CHECK_CXX_FLAG(std=c++0x)
CHECK_CXX_FLAG(O3)
IF(NOT MSVC)
    #MSVC is excessivly verbose when Wall is activated
    CHECK_CXX_FLAG(Wall)
ENDIF()
CHECK_CXX_FLAG(Wextra)
CHECK_CXX_FLAG(Weffc++)
CHECK_CXX_FLAG(pedantic)

if(WARNINGS)
  CHECK_CXX_FLAG(Wabi)
  CHECK_CXX_FLAG(Wctor-dtor-privacy)
  CHECK_CXX_FLAG(Wold-style-cast)
  CHECK_CXX_FLAG(Woverloaded-virtual)
  CHECK_CXX_FLAG(Wsign-promo)
  CHECK_CXX_FLAG(Wswitch-enum)
  CHECK_CXX_FLAG(Wcast-align)
  CHECK_CXX_FLAG(Wcast-qual)
  CHECK_CXX_FLAG(Wdisabled-optimization)
  CHECK_CXX_FLAG(Wfloat-equal)
  CHECK_CXX_FLAG(Wformat=2)
  CHECK_CXX_FLAG(Winit-self)
  CHECK_CXX_FLAG(Winvalid-pch)
  CHECK_CXX_FLAG(Wmissing-format-attribute)
  CHECK_CXX_FLAG(Wmissing-include-dirs)
  CHECK_CXX_FLAG(Wmissing-noreturn)
  CHECK_CXX_FLAG(Wpacked)
  CHECK_CXX_FLAG(Wredundant-decl s)
  CHECK_CXX_FLAG(Wshadow)
  CHECK_CXX_FLAG(Wsign-conversion)
  CHECK_CXX_FLAG(Wstack-protector)
  CHECK_CXX_FLAG(Wstrict-overflow=5)
  CHECK_CXX_FLAG(Wswitch-default)
  CHECK_CXX_FLAG(Wswitch-enum)
  CHECK_CXX_FLAG(Wundef)
  CHECK_CXX_FLAG(Wconversion)
  # Still left:
  # -Wpadded      (DictionaryManager has a bool that sticks out)

  CHECK_CXX_FLAG(Wstrict-null-sentinel)
  CHECK_CXX_FLAG(Wlogical-op)
  CHECK_CXX_FLAG(Wunsafe-loop-optimizations)
endif(WARNINGS)

if(WERROR)
  CHECK_CXX_FLAG(Werror)
endif(WERROR)

## Extra definitions

add_definitions(-DVERSION=${VERSION})

## Generate test executables in the right place

set(EXECUTABLE_OUTPUT_PATH ${tinygettext_BINARY_DIR}/test)

## Build tinygettext tests

IF(NOT HAVE_SDL) 
  foreach(TEST tinygettext_test po_parser_test)
    ## Add target for tinygettext test
    add_executable(${TEST} test/${TEST}.cpp)
    ## Link with tinygettext library
    target_link_libraries(${TEST} tinygettext)
  endforeach(TEST)
ENDIF()

## Install tinygettext

# use standardized variable name
set(LIB_SUBDIR "lib${LIB_SUFFIX}"
	CACHE STRING "Subdirectory of prefix into which libraries are installed (e.g., lib32, lib64)")

## prepare tinygettext.pc
configure_file(tinygettext.pc.in tinygettext.pc @ONLY)

IF(TINYGETTEXT_IS_SUBPROJECT)
	IF(BUILD_SHARED_LIBS)
		install(TARGETS tinygettext
			RUNTIME DESTINATION bin
			LIBRARY DESTINATION ${LIB_SUBDIR})
	ENDIF()
ELSE()
	install(TARGETS tinygettext
		RUNTIME DESTINATION bin
		ARCHIVE DESTINATION ${LIB_SUBDIR}
		LIBRARY DESTINATION ${LIB_SUBDIR})
	install(FILES ${TINYGETTEXT_HEADERS} ${tinygettext_BINARY_DIR}/tinygettext_Export.h
		DESTINATION include/tinygettext)
	install(FILES ${tinygettext_BINARY_DIR}/tinygettext.pc
		DESTINATION ${LIB_SUBDIR}/pkgconfig)
ENDIF()

# EOF #

=== debian/changelog ===
enigma (1.30+dfsg-3) unstable; urgency=medium

  * Avoid segfault in GetOptionMenuMusic due to Debian patch
    (Closes: #1091178) Thanks: Yogeshwar A. Velingker

 -- Alexandre Detiste <tchet@debian.org>  Mon, 23 Dec 2024 13:28:55 +0100

enigma (1.30+dfsg-2) unstable; urgency=medium

  * Fix Salsa URl's: it was a bad copy-paste (Closes: #1090883)
  * Set "Rules-Requires-Root: no"

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Dec 2024 16:11:36 +0100

enigma (1.30+dfsg-1) unstable; urgency=medium

  * New upstream version 1.30. (Closes: #834681, #902841, #932137)
  * Adopting package (Closes: #902855)
  * Build with SDL2 (Closes: #1038197, #603600)
  * remove more autoconf garbage (Closes: #1044166, #1049783)
  * FTBFS: add missing dep on texi2html
  * refresh desktop-file.patch
  * unvendor Enet now, unvendor Lua later

  [ Emmanuel Arias ]
  * d/watch: Start watching github repository.
  * d/control: Set Debian Games Team as Maintainer.
  * d/control: Add me as Uploader.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 15 Dec 2023 13:52:54 +0100

enigma (1.20-dfsg.1-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * Replace obsolete Priority: extra with Priority: optional.
  * Replace old ttf-dejavu-* package dependency with fonts-dejavu-*.
    (Closes: #921469)

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jun 2020 20:30:45 -0400

enigma (1.20-dfsg.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add gcc6.patch and fix FTBFS with GCC-6. (Closes: #811826)
  * Add desktop-file.patch and create a valid desktop file. Add keywords and a
    comment in German. Thanks to Ronny Standtke for the report.
    (Closes: #667656)
  * enigma-doc.links:
    Symlink index.html to /usr/share/doc/enigma-doc/manual/enigma.html.
    Thanks to Ronny Standtke for the report. (Closes: #791690)

 -- Markus Koschany <apo@debian.org>  Mon, 26 Sep 2016 00:21:41 +0200

enigma (1.20-dfsg.1-2) unstable; urgency=low

  * Fixes uninitialized floors (patch r2382, Closes: #652983)
  * Ensure correct locale directory
  * Locales support is only partially fixed. Only locales installed
    in the system either in their native or UTF-8 encoding will work.
    This needs to be improved upstream. (mostly Closes: #607722)
  * Use dh-autoreconf (Closes: #727374)
  * Update automake dependency (Closes: #724365)
  * Update build dependencies
  * Move Homepage: field to source package (Lintian info level)
  * Update to policy 3.9.5.0 (no changes)

 -- Erich Schubert <erich@debian.org>  Thu, 23 Jan 2014 19:02:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,41 @@
 Source: enigma
 Section: games
-Priority: extra
-Maintainer: Erich Schubert <erich@debian.org>
-Build-Depends: debhelper (>= 9), bzip2, autoconf, automake1.9, texinfo, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libzipios++-dev, libsdl-gfx1.2-dev, texi2html, libsdl-ttf2.0-dev, libxerces-c-dev, quilt, libcurl4-gnutls-dev | libcurl4-nss-dev, imagemagick, libpng-dev
-Standards-Version: 3.9.4.0
+Priority: optional
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders:
+ Emmanuel Arias <eamanu@yaerobi.com>,
+ Alexandre Detiste <tchet@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ imagemagick,
+ libcurl4-gnutls-dev | libcurl4-nss-dev,
+ libenet-dev,
+ libpng-dev,
+ libsdl2-gfx-dev,
+ libsdl2-image-dev,
+ libsdl2-mixer-dev,
+ libsdl2-ttf-dev,
+ libsdl2-dev,
+ libxerces-c-dev,
+ libzipios++-dev,
+ texinfo,
+ texi2html,
+Rules-Requires-Root: no
+Standards-Version: 3.9.5.0
+Homepage: https://enigma.nongnu.org/
+Vcs-Git: https://salsa.debian.org/games-team/enigma.git
+Vcs-Browser: https://salsa.debian.org/games-team/enigma
 
 Package: enigma
 Architecture: any
-Breaks: enigma-data (<< 1.10~~pre-alpha+r2210-1.1)
-Replaces: enigma-data (<< 1.10~~pre-alpha+r2210-1.1)
-Depends: ${shlibs:Depends}, ${misc:Depends}, enigma-data (= ${source:Version})
-Recommends: enigma-doc
+Depends:
+ enigma-data (= ${source:Version}),
+ fonts-dejavu-core,
+ fonts-dejavu-extra,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ enigma-doc,
 Description: Game where you control a marble with the mouse
  Enigma is a puzzle game similar to Oxyd on the Atari ST or Rock'n'Roll
  on the Amiga and good old Marble Madness. It also has Sokoban levels, and
@@ -23,13 +48,15 @@
  of dexterity and wit (and can be quite addictive).
  .
  This package contains the game engine.
-Homepage: http://enigma.nongnu.org/
 
 Package: enigma-doc
 Section: doc
 Architecture: all
-Recommends: enigma
-Depends: ${misc:Depends}
+Multi-Arch: foreign
+Recommends:
+ enigma,
+Depends:
+ ${misc:Depends},
 Description: Documentation for the game enigma
  Enigma is a puzzle game similar to Oxyd on the Atari ST or Rock'n'Roll
  on the Amiga and good old Marble Madness. It also has Sokoban levels, and
@@ -42,13 +69,12 @@
  of dexterity and wit (and can be quite addictive).
  .
  This package contains the manual and level creating guide
-Homepage: http://enigma.nongnu.org/
 
 Package: enigma-data
 Architecture: all
-Enhances: enigma
-Depends: ttf-dejavu-core, ttf-dejavu-extra, ${misc:Depends}
-Conflicts: enigma-level-previews
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
 Description: Data files for the game enigma
  Enigma is a puzzle game similar to Oxyd on the Atari ST or Rock'n'Roll
  on the Amiga and good old Marble Madness. It also has Sokoban levels, and
@@ -61,5 +87,3 @@
  of dexterity and wit (and can be quite addictive).
  .
  This package contains the data files (levels, graphics, sounds).
-Homepage: http://enigma.nongnu.org/
-

=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(DEB_HOST_ARCH), alpha)
  CFLAGS += -O2 -mieee
endif

%:
	dh $@

override_dh_autoreconf:
	# same steps as in autogen.sh
	autoheader
	aclocal -I m4
	automake --add-missing --foreign --copy
	autoconf
	autoupdate
	#dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--datadir=\$${prefix}/share/games \
		--bindir=\$${prefix}/games \
		--docdir=\$${prefix}/share/doc/enigma-doc \
		--localedir=\$${prefix}/share/locale \
		--with-system-enet=yes \
		--enable-optimize
